Description: Use safe_load()
Author: Thomas Goirand <zigo@debian.org>
Bug-Debian: https://bugs.debian.org/1026595
Forwarded: no
Last-Update: 2023-01-01

Index: python-murano-pkg-check/muranopkgcheck/pkg_loader.py
===================================================================
--- python-murano-pkg-check.orig/muranopkgcheck/pkg_loader.py
+++ python-murano-pkg-check/muranopkgcheck/pkg_loader.py
@@ -47,8 +47,7 @@ class FileWrapper(object):
         if self._yaml is None:
             sio = six.BytesIO(self.raw())
             setattr(sio, 'name', self._name)
-            self._yaml = list(yaml.load_all(sio,
-                                            yaml_loader.YamlLoader))
+            self._yaml = list(yaml.safe_load_all(sio))
         return self._yaml
 
 
Index: python-murano-pkg-check/muranopkgcheck/tests/functional/test_cases.py
===================================================================
--- python-murano-pkg-check.orig/muranopkgcheck/tests/functional/test_cases.py
+++ python-murano-pkg-check/muranopkgcheck/tests/functional/test_cases.py
@@ -76,7 +76,7 @@ def load_cases():
     cases = []
     for cases_file in cases_files:
         with open(cases_file) as f:
-            cases.extend(list(yaml.load_all(f)))
+            cases.extend(list(yaml.safe_load_all(f)))
     return cases
 
 cases = load_cases()
Index: python-murano-pkg-check/muranopkgcheck/tests/test_pkg_loader.py
===================================================================
--- python-murano-pkg-check.orig/muranopkgcheck/tests/test_pkg_loader.py
+++ python-murano-pkg-check/muranopkgcheck/tests/test_pkg_loader.py
@@ -28,7 +28,7 @@ class FileWrapperTest(base.TestCase):
 
     @mock.patch('muranopkgcheck.pkg_loader.yaml')
     def test_file_wrapper(self, m_yaml):
-        m_yaml.load_all.side_effect = yaml.load_all
+        m_yaml.safe_load_all.side_effect = yaml.safe_load_all
         fake_pkg = mock.Mock()
         fake_pkg.open_file.side_effect = \
             lambda f: mock.mock_open(read_data=six.b('text'))()
@@ -36,11 +36,11 @@ class FileWrapperTest(base.TestCase):
         self.assertEqual(six.b('text'), f.raw())
 
         self.assertEqual(['text'], f.yaml())
-        m_yaml.load_all.assert_called()
+        m_yaml.safe_load_all.assert_called()
 
         self.assertEqual(['text'], f.yaml())
-        m_yaml.load_all.reset_mock()
-        m_yaml.load_all.assert_not_called()
+        m_yaml.safe_load_all.reset_mock()
+        m_yaml.safe_load_all.assert_not_called()
 
         fake_pkg.open_file.side_effect = \
             lambda f: mock.mock_open(read_data=six.b('!@#$%'))()
